# frozen_string_literal: true

module Roqua::CsvExport::Models
  class Respondent < Sequel::Model
    one_to_many :responses

    def label
      super.presence || default_label
    end

    def default_label
      case type
      when 'patient'       then "Patiënt"
      when 'parent'        then "1e Ouder"
      when 'second_parent' then "2e Ouder"
      when 'teacher'       then "Leraar"
      when 'caregiver'     then "Mantelzorger"
      when 'profess'       then "Medewerker"
      end
    end
  end
end
